> For the complete documentation index, see [llms.txt](https://api.docs.fan/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.docs.fan/profile/core/lookup.md).

# Lookup

{% hint style="info" %}
**Coming soon.** This endpoint is available in the profile service but is not yet exposed through the gateway. The path and payload may change when it becomes available externally.
{% endhint %}

Use this endpoint to read a profile by its ID.

### Required Scopes

`profile:read` *(provisional — final scope will be confirmed when this endpoint is exposed via the gateway)*

## Request

### URL

`GET /v2/profile/{id}`

### Path Parameters

| Name | Required | Description |
| ---- | -------- | ----------- |
| `id` | true     | Profile ID. |

## Response

<table><thead><tr><th width="177">Name</th><th>Description</th></tr></thead><tbody><tr><td>first_name</td><td>The customer's first name.</td></tr><tr><td>last_name</td><td>The customer's last name.</td></tr><tr><td>birthday</td><td>The customer's birthday as a day and month (no year).</td></tr><tr><td>age_range</td><td>The customer's age range.</td></tr><tr><td>test_account</td><td>True if this profile is a test account.</td></tr></tbody></table>

## Full Spec

{% openapi src="/files/CCf2AQODBJ1168Vmfc8L" path="/v2/profile/{id}" method="get" %}
[openapi-profile-service.json](https://3657007978-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1G9XmPfyfOHS6i6FdlzL%2Fuploads%2Fgit-blob-d088b26ede7e3b615a2eed648392b766b2122ce9%2Fopenapi-profile-service.json?alt=media)
{% endopenapi %}
